# $Revision: 1.88.2.4 $, $Date: 2003/12/01 14:27:18 $
Summary:	GNU File Utilities
Summary(de):	GNU-Datei-Utilities 
Summary(fr):	Utilitaires fichier de GNU
Summary(pl):	GNU File Utilities
Summary(tr):	GNU dosya ilemleri yardmc yazlmlar
Name:		fileutils
Version:	4.1.9
Release:	8
License:	GPL
Group:		Applications/File
Source0:	ftp://alpha.gnu.org/gnu/fetish/%{name}-%{version}.tar.bz2
# Source0-md5: f358f02bade595fe80748bc8fda99678
Source1:	DIR_COLORS
Source2:	%{name}.sh
Source3:	%{name}.csh
Source4:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source4-md5: def2f215ac4832e3de0889f06d8543ca
Patch0:		%{name}-info.patch
Patch1:		%{name}-sendfile.patch
Patch2:		%{name}-C.patch
Patch3:		%{name}-spacedir.patch
Patch4:		%{name}-samefile.patch
Patch6:		%{name}-non-english-man-pages.patch
Patch7:		%{name}-install-specialbits.patch
Patch8:		%{name}-sparc.patch
Patch9:		%{name}-glibc22.patch
Patch10:	%{name}-trunc.patch
Patch11:	%{name}-nolibrt.patch
Patch12:	%{name}-stat-manpages.patch
Patch13:	%{name}-po.patch
Patch14:	%{name}-lsw.patch
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	texinfo >= 3.12f
Provides:	stat
Obsoletes:	stat
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/

%description
The fileutils package includes a number of GNU versions of common and
popular file management utilities. Fileutils includes the following
tools:
- chgrp (changes a file's group ownership),
- chown (changes a file's ownership),
- chmod (changes a file's permissions),
- cp (copies files),
- dd (copies and converts files),
- df (shows a filesystem's disk usage),
- dir (gives a brief directory listing),
- dircolors (the setup program for the color version of the ls
  command),
- du (shows disk usage),
- install (copies files and sets permissions),
- ln (creates file links),
- ls (lists directory contents in color),
- mkdir (creates directories),
- mkfifo (creates FIFOs, which are named pipes),
- mknod (creates special files),
- mv (renames files),
- rm (removes/deletes files),
- rmdir (removes empty directories),
- sync (synchronizes memory and disk),
- touch (changes file timestamps),
- vdir (provides long directory listings).

You should install the fileutils package, because it includes many
file management utilities that you'll use frequently.

%description -l de
Dies sind die GNU-Dateiverwaltungs-Utilities. Sie enthalten Programme
zum Kopieren, Bewegen, Auflisten usw. von Dateien.

%description -l fr
Utilitaire de gestion de fichiers de GNU. Contient les programmes pour
copier, dplacer, lister, etc. les fichiers.

Le programme ls de ce paquetage incorpore maintenant ls en couleurs !

%description -l pl
Pakiet zawiera narzdzia do zarzdzania plikami, m.in. do kopiowania,
przemieszczania i listowania plikw.

Program ls w tym pakiecie potrafi wywietla znaki ASCII w kolorach.

%description -l tr
Bu pakette yer alan programlar dosyalar zerinde kopyalama, isim
deitirme gibi temel ilemleri yapmanz salar.

%prep
%setup -q -a4
%patch0 -p1
# disabled because broke install
#%patch1 -p1 
%patch2 -p1
%patch3 -p1
# samefile patch is seriously broken. It breaks globbing
# and changes default mv behaviour. --misiek
#%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

mv -f doc/{coreutils,fileutils}.texi

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--without-included-gettext

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/profile.d,/usr/bin} \
	$RPM_BUILD_ROOT%{_mandir}/{cs,da,de,es,fi,fr,hu,id,it,ja,ko,nl,pl,pt,ru}/man{1,8}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_bindir}/{install,du,dir,vdir,mkfifo,dircolors,shred,stat} \
	$RPM_BUILD_ROOT/usr/bin

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT/etc/profile.d

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README THANKS TODO

%config %verify(not size mtime md5) %{_sysconfdir}/DIR_COLORS

%attr(755,root,root) /etc/profile.d/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) /usr/bin/*

%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(da) %{_mandir}/da/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(id) %{_mandir}/id/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(pt) %{_mandir}/pt/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%{_infodir}/fileutils*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fileutils.spec,v $
Revision 1.88.2.4  2003/12/01 14:27:18  qboosh
- added lsw patch from RH updates: fix for ls -w memory consumption and int overflow
  (BTS#779, CAN-2003-0853, CAN-2003-0854)
- release 8

Revision 1.88.2.3  2003/08/10 19:00:18  areq
- from updates/general/SRPMS/fileutils-4.1.9-7.src.rpm Revision 1.89  2002/11/28 03:54:52  baggins
- release 7
- DIR_COLORS back to good old colors

Revision 1.88.2.2  2003/07/31 07:14:34  wiget
- md5

Revision 1.88.2.1  2003/07/11 12:00:53  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.88  2002/10/29 11:47:10  qboosh
- fix in po patch (unnecessary %s), release 6

Revision 1.87  2002/10/20 18:39:08  ankry
- updated -po patch, rel. 5

Revision 1.86  2002/10/19 06:07:43  ankry
- more translation/formatting fixes, release 4

Revision 1.85  2002/10/18 14:30:15  qboosh
- df-pl patch (better pl header in df); release 3, STBR

Revision 1.84  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.83  2002/09/07 06:51:57  blues
- release 2 - added provides stat; STBR

Revision 1.82  2002/08/13 14:45:50  qboosh
- merge from DEVEL (updated to 4.1.9)

Revision 1.81.2.2  2002/07/12 20:37:54  qboosh
- updated to 4.1.9
- updated info patch (diff -d must be used to get proper patch)
- new commands: link, unlink, stat (added Obsoletes: stat)
- stat-manpages patch (en and pl only, pl one is outdated)
- fixed nolibrt patch

Revision 1.81.2.1  2002/05/28 21:46:39  qboosh
- updated to 4.1.8
- rm-security patch is obsolete, overwrite patch seems obsolete
- updated C, non-english-man-pages patches
- updated info patch (blegh, it's so HUGE that diff lost context and couldn't
  produce it correctly!)

Revision 1.81  2002/05/21 23:13:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.80  2002/04/25 16:18:04  arturs
fixed a small typo

Revision 1.79  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.78  2002/03/12 19:52:58  mmazur
- fixed security patch; release 11; STBR

Revision 1.77  2002/03/12 09:13:16  qboosh
- SECURITY FIX for rm -r; release 10, STBR

Revision 1.76  2002/02/22 23:28:51  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.75  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.74  2002/01/18 02:12:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.73  2001/11/13 15:33:25  ankry
- fixed removal of patch 5 (not 4, as previously mentioned)
- remove also obsolete patch 13 (fileutils-C-pl.patch)

Revision 1.72  2001/11/13 15:24:58  ankry
- updated pl man pages
- removed/renamed sync.8 man pages (obsolete); removed patch4
  (fileutils-man8.patch)
- release 9

Revision 1.71  2001/10/23 20:19:22  ankry
- preparing for texinfo split; release 8

Revision 1.70  2001/10/08 13:29:14  qboosh
- repacked fileutils-non-english-man-pages.tar.gz to .tar.bz2

Revision 1.69  2001/09/18 08:08:22  ankry
- changed source tar name: .tgz -> .tar.gz

Revision 1.68  2001/09/17 20:53:39  ankry
- removed broken -a0 from %setup

Revision 1.67  2001/09/16 07:29:25  ankry
- added description of install's -C option (from patch) to Polish manpage
- increased release to 7

Revision 1.66  2001/09/15 17:49:16  kloczek
- removed from %files entries listed twice.

Revision 1.65  2001/09/15 12:13:25  kloczek
- merge nolibrd patch from rawhide (fix up -lrt -lpthread).

Revision 1.64  2001/09/15 11:35:20  ankry
- added man support for languages: cs,da,de,es,fi,fr,hu,id,it,ja,ko,nl,pt,ru
- moved sync.6 man page from man-pages to fileutils
- increased release to 6.

Revision 1.63  2001/09/08 19:37:31  kloczek
- release 5.

Revision 1.62  2001/09/08 13:46:08  qboosh
- rebuild auto*, removed workaround and aclocal.m4 patch
- uncommented SUBDIRS in man/Makefile.am (in plman patch)
  so we don't need to install pl manpages separately

Revision 1.61  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.59  2001/06/14 23:48:31  qboosh
- changed autoconf workaround to allow rebuild info
- release 4

Revision 1.58  2001/06/12 21:30:19  kloczek
- release 3: merge trunc patch from rawhide.

Revision 1.57  2001/06/09 17:43:52  qboosh
- updated to 4.1

Revision 1.56  2001/03/29 08:55:26  mis
- autoupdated to 4.0.43

Revision 1.55  2001/03/09 01:50:46  misiek
argh: mv (and probably friends) were totally broken from 1999/12/20 !!!; stb

Revision 1.54  2001/02/20 20:48:55  mis
- updated (by autoup) to 4.0.41

Revision 1.53  2001/02/12 16:49:42  wiget
4.0.39

Revision 1.52  2001/02/05 19:55:25  alchemyx
- typo

Revision 1.51  2001/01/30 10:56:01  kloczek
- adapterized.

Revision 1.50  2001/01/30 10:04:05  wiget
4.0.38

Revision 1.49  2001/01/22 12:30:27  wiget
4.0.37

Revision 1.48  2001/01/17 14:46:41  kloczek
- release 2: two fixes in info index.

Revision 1.47  2001/01/17 11:57:30  wiget
4.0.36

Revision 1.46  2000/11/27 16:21:35  wiget
4.0.33

Revision 1.45  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.44  2000/08/23 12:22:30  kloczek
- updated to 4.0y,
- merged patches from rawhide.

Revision 1.43  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.42  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.41  2000/06/09 03:29:17  kloczek
- release 2,
- removed unused patches and some not neccessary now BuildRequires rules.

Revision 1.40  2000/06/06 12:51:41  baggins
- 4.0t
- disabled patch7
- disabled regenerating configure
- reenabled large file support (disabling it was a dumb idea)

Revision 1.39  2000/05/24 17:25:11  zagrodzki
- License: GPL

Revision 1.38  2000/05/24 16:29:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||
- release++

Revision 1.37  2000/05/18 20:18:39  kloczek
- spec adapterized.

Revision 1.36  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.35  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.34  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.33  1999/12/29 23:44:33  wiget
- disabled sendfile.patch because broke install

Revision 1.32  1999/12/29 20:28:24  wiget
- updated to 4.0l
- added polish man pages
- added autoconf patch (this allow rebuilding ./configure)

Revision 1.31  1999/12/29 17:09:08  kloczek
- added bunch patches from rawhide.

Revision 1.30  1999/12/22 10:39:54  wiget
- disable LFS for sparc too

Revision 1.29  1999/12/19 18:32:00  wiget
- disable LFS for IA32

Revision 1.28  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.27  1999/09/19 09:05:40  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.26  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.25  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Jun 30 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.0h-3]
- based on RH spec,
- spec rewrited by PLD team,
- pl translation Wojtek lusarczyk <wojtek@shadow.eu.org>.
